Subject: Re: bug#1947: 23.0.60; Please document use of `dired' with an explicit file list

From: Kevin Rodgers <[email-masked]>
Date: Mon, 19 Jan 2009 20:20:00 -0700

Drew Adams wrote:
> As far as I can tell, the use of `dired' with an explicit list of file
> and directory names is undocumented (beyond the source code).  It is
> mentioned in neither the Emacs manual nor the Elisp manual.
>  
> This is a useful feature - at least as useful as many of the other
> Dired features that are documented.  Questions about being able to
> open Dired with an explicit list of files from different directories
> are asked from time to time on help-gnu-emacs.
>  
> The logical place to document this is in the Emacs manual, node `Dired
> Enter'.  That's so, even though to use this feature you must have a
> list of file names.  A simple example using `defvar' or `setq' to
> define such a list would be sufficient - there are similar simple uses
> of Emacs Lisp in the Emacs manual.

It is explained in dired's doc string.  Since the only way to use this
feature is via Lisp (not M-x), I think the Emacs Lisp manual would be a
better place to document it.

-- 
Kevin Rodgers
Denver, Colorado, USA